@import "@/styles/variables";

.button {
    font-family: $primary-font-semibold;
    font-size: $fs-p;
    letter-spacing: 0.5px;
    color: $white;
    padding: 0.5rem 0.75rem;
    width: fit-content;
    min-width: fit-content;
    height: 2.5rem;
    border-radius: $border-radius;
    cursor: pointer;
    display: flex;
    gap: 0.5rem;
    justify-content: center;
    align-items: center;
    z-index: 2;

    @include tablet {
        padding: 0.5rem 1.2rem;
        height: 2.75rem;
    }

    @include notebook {
        padding: 0.7rem 1.5rem;
        font-size: $fs-p-lg;
        text-transform: uppercase;
        height: 3.5rem;
    }

    @include desktop {
        gap: 0.75rem;
    }

    .label {
        display: none;

        @include tablet {
            display: flex;
        }
    }

        .icon-frame {
            display: flex;

            @include flex-center;

            width: 1.5rem;
            aspect-ratio: 1;

            svg {
                height: 14px;
            }

            @include tablet {
                svg {
                    height: 12px;
                }
            }

            @include notebook {
                svg {
                    height: 16px;
                }
            }

        }

    &_color_primary {
        background-color: $primary-color;
        border: 1px solid $primary-color;
        color: $white;

        &:hover {
            border: 1px solid $primary-color-hover;
            background-color: $primary-color-hover;

            svg {
                fill: $white;
            }
        }

        &:active {
            border: 1px solid $primary-color-active;
            color: $white;
            background-color: $primary-color-active;

            svg {
                fill: $white;
            }
        }

        &:disabled {
            opacity: 0.4;
        }
    }

    &_color_secondary {
        background-color: $secondary-color;

        &:hover {
            background-color: $secondary-color-hover;
        }

        &:active {
            background-color: $secondary-color-active;
        }

        &:disabled {
            opacity: 0.4;
        }
    }

    &_color_primary-light {
        background-color: $primary-color-light;
    }


    &_color_outline-primary {
        background-color: $white;
        border: 1px solid $primary-color;
        color: $primary-color;

        &:hover {
            border: 1px solid $primary-color-hover;
            background-color: $primary-color-hover;

            svg {
                fill: $white;
            }
        }

        &:active {
            border: 1px solid $primary-color-active;
            color: $white;
            background-color: $primary-color-active;

            svg {
                fill: $white;
            }
        }
    }

    &_color_outline-gray {
        background-color: transparent;
        border: 1px solid $gray-light;
        color: $black;

        &:hover {
            background-color: $gray-dark;
            border: 1px solid transparent;
            color: $white;

            svg {
                fill: $white;
            }
        }
    }

    &_color_transparent {
        color: $primary-color;
        background-color: transparent;
    }
}
